GetQueueInfoRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetQueueInfoRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetQueueInfoRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetQueueInfoRequestPBImpl

@Private @Unstable public class GetQueueInfoRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetQueueInfoRequestPBImpl()`
  `GetQueueInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `boolean`
  `getIncludeApplications()`
  `boolean`
  `getIncludeChildQueues()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto`
  `getProto()`
  `String`
  `getQueueName()`
  `boolean`
  `getRecursive()`
  `String`
  `getSubClusterId()`
  `int`
  `hashCode()`
  `void`
  `setIncludeApplications(boolean includeApplications)`
  `void`
  `setIncludeChildQueues(boolean includeChildQueues)`
  `void`
  `setQueueName(String queueName)`
  `void`
  `setRecursive(boolean recursive)`
  `void`
  `setSubClusterId(String subClusterId)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetQueueInfoRequestPBImpl

    public GetQueueInfoRequestPBImpl()

  - ### GetQueueInfoRequestPBImpl

    public GetQueueInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto proto)

- ## Method Details

  - ### getIncludeApplications

    public boolean getIncludeApplications()
    Specified by:
      `getIncludeApplications` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### getIncludeChildQueues

    public boolean getIncludeChildQueues()
    Specified by:
      `getIncludeChildQueues` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### getQueueName

    public String getQueueName()
    Specified by:
      `getQueueName` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### getRecursive

    public boolean getRecursive()
    Specified by:
      `getRecursive` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### setIncludeApplications

    public void setIncludeApplications(boolean includeApplications)
    Specified by:
      `setIncludeApplications` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### setIncludeChildQueues

    public void setIncludeChildQueues(boolean includeChildQueues)
    Specified by:
      `setIncludeChildQueues` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### setQueueName

    public void setQueueName(String queueName)
    Specified by:
      `setQueueName` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### setRecursive

    public void setRecursive(boolean recursive)
    Specified by:
      `setRecursive` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### getSubClusterId

    public String getSubClusterId()
    Specified by:
      `getSubClusterId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)
    Specified by:
      `setSubClusterId` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueInfoRequest`

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueInfoRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`